## GstVaapiValue GstVaapiValue — GValue implementations specific to VA-API |

## Functions

#define | GST_VAAPI_POPCOUNT32()

## Types and Values

| GstVaapiEnumSubset
#define | GST_VAAPI_TYPE_POINT
#define | GST_VAAPI_TYPE_RECTANGLE
#define | GST_VAAPI_TYPE_RENDER_MODE
#define | GST_VAAPI_TYPE_ROTATION
#define | GST_VAAPI_TYPE_RATE_CONTROL

## Description

## Functions

### GST_VAAPI_POPCOUNT32()

    #define             GST_VAAPI_POPCOUNT32(x)

Computes the number of bits set in the supplied 32-bit value `x` .

#### Parameters

x | the value from which to compute population count |

#### Returns

the number of bits set in `x`

## Types and Values

### GstVaapiEnumSubset

    typedef struct {
        GType parent_type;
        GType type;
        GTypeInfo type_info;
        const gchar *type_name;
        GEnumValue *values;
        guint num_values;
    } GstVaapiEnumSubset;

Structure that holds the required information to build a GEnum subset from the supplied `parent_type` , i.e. a subset of its values.

#### Members

GType `parent_type`; | parent enum type |
GType `type`; | registered GType |
GTypeInfo `type_info`; | GTypeInfo used to build the `type` |
const gchar *`type_name`; |  |
GEnumValue *`values`; | pointer to a static array of GEnumValue elements |
guint `num_values`; | number of elements in the `values` array, including the terminator |

### GST_VAAPI_TYPE_POINT

    #define GST_VAAPI_TYPE_POINT gst_vaapi_point_get_type()

A GstVaapiPoint type that represents a 2D point coordinates.

#### Returns

the GType of GstVaapiPoint

### GST_VAAPI_TYPE_RECTANGLE

    #define GST_VAAPI_TYPE_RECTANGLE gst_vaapi_rectangle_get_type()

A GstVaapiRectangle type that represents a 2D rectangle position and size.

#### Returns

the GType of GstVaapiRectangle

### GST_VAAPI_TYPE_RENDER_MODE

    #define GST_VAAPI_TYPE_RENDER_MODE gst_vaapi_render_mode_get_type()

A GstVaapiRenderMode type that represents the VA display backend rendering mode: overlay (2D engine) or textured-blit (3D engine).

#### Returns

the GType of GstVaapiRenderMode

### GST_VAAPI_TYPE_ROTATION

    #define GST_VAAPI_TYPE_ROTATION gst_vaapi_rotation_get_type()

A type that represents the VA display rotation.

#### Returns

the GType of GstVaapiRotation

### GST_VAAPI_TYPE_RATE_CONTROL

    #define GST_VAAPI_TYPE_RATE_CONTROL gst_vaapi_rate_control_get_type()

A type that represents the VA rate control.

#### Returns

the GType of GstVaapiRateControl